<?php

namespace Modules\Catalog\Filament\Resources\Destinations\Schemas;

use Filament\Forms\Components\Textarea;
use Filament\Forms\Components\TextInput;
use Filament\Forms\Components\Toggle;
use Filament\Schemas\Schema;

class DestinationForm
{
    public static function configure(Schema $schema): Schema
    {
        return $schema
            ->components([
                TextInput::make('name')
                    ->required()
                    ->maxLength(255),
                TextInput::make('mm_name')
                    ->required()
                    ->maxLength(255),
                TextInput::make('region')
                    ->maxLength(255),
                Textarea::make('description')
                    ->columnSpanFull(),
                Textarea::make('mm_description')
                    ->columnSpanFull(),
                Textarea::make('meta_keyword')
                    ->columnSpanFull(),
                Textarea::make('meta_description')
                    ->columnSpanFull(),
                TextInput::make('latitude')
                    ->maxLength(255),
                TextInput::make('longitude')
                    ->maxLength(255),
                Toggle::make('is_active')
                    ->required()
                    ->default(true),
                Toggle::make('popular')
                    ->required()
                    ->default(false),
            ]);
    }
}
